## com.fasterxml.jackson.core.util
Class DefaultPrettyPrinter.FixedSpaceIndenter

    java.lang.Object
      com.fasterxml.jackson.core.util.DefaultPrettyPrinter.FixedSpaceIndenter

All Implemented Interfaces:
  DefaultPrettyPrinter.Indenter, Serializable

Enclosing class:
  DefaultPrettyPrinter

    public static class DefaultPrettyPrinter.FixedSpaceIndenter

extends Object
implements DefaultPrettyPrinter.Indenter, Serializable

This is a very simple indenter that only every adds a single space for indentation. It is used as the default indenter for array values.

See Also:
  Serialized Form

Field Summary
`static DefaultPrettyPrinter.FixedSpaceIndenter` `instance`

Constructor Summary
`DefaultPrettyPrinter.FixedSpaceIndenter()`

Method Summary
`boolean` `isInline()`
`void` `writeIndentation(JsonGenerator jg, int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static DefaultPrettyPrinter.FixedSpaceIndenter instance

Constructor Detail

### DefaultPrettyPrinter.FixedSpaceIndenter

    public DefaultPrettyPrinter.FixedSpaceIndenter()

Method Detail

### writeIndentation

    public void writeIndentation(JsonGenerator jg,
                                 int level)
                          throws IOException,
                                 JsonGenerationException

  Specified by:
    `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`
  Throws:
    `IOException`
    `JsonGenerationException`

### isInline

    public boolean isInline()

  Specified by:
    `isInline` in interface `DefaultPrettyPrinter.Indenter`
  Returns:
    True if indenter is considered inline (does not add linefeeds), false otherwise

Copyright © 2012 FasterXML. All Rights Reserved.